body {
  font-family: Arial, Helvetica, sans-serif;
}

.centered {
  width: 100%;
  display: flex;
  justify-content: center;
}

form {
  border: 3px solid #f1f1f1;
}

h1 {
  text-align: center;
}

.login-container {
  position: relative;
  display: inline-block;
  max-width: 600px;
}

input[type=text], input[type=password] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
}

.password-container {
  width: 100%;
  display: inline-block;
  position: relative;
  justify-content: center;
  align-items: center;
}

.toggle-password {
  position: absolute;
  top: 20px;
  right: 25px;
  cursor: pointer;
}

button {
  background-color: #4CAF50;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  cursor: pointer;
  width: 100%;
}

button:hover:enabled {
  opacity: 0.8;
}

button:disabled {
  background-color: #AF4C50;
  cursor: default;
}

.imgcontainer {
  text-align: center;
  margin: 24px 0 12px 0;
}

img.logo {
  width: 200px;
  border-radius: 50%;
}

.container {
  padding: 16px;
}

div.account-actions {
  background-color: #f1f1f1;
  height: 40px;
}

span.forgot-password {
  float: right;
  padding-top: 0;
}
span.create-account {
  float: right;
  padding-top: 8px;
}


div.external-account {
  padding-top: 20px;
  font-size: 0;
}
span.external-account-button {
  display: block;
  padding-bottom: 12px;
}
.external-account-button a {
  text-decoration: none;
}

img.microsoft-signin {
  width: 230px;
}

.yahoo-button {
  width: 230px;
  height: 42px;
  background-color: #5e0fe0;
  border-radius: 2px;
  box-shadow: 0 3px 4px 0 rgba(0, 0, 0, .25);
}

.yahoo-button .yahoo-button-text {
  margin: 0;
  padding: 0;
  width: 100%;
  line-height: 42px;
  white-space: nowrap;
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 18px;
}

.apple-button {
  width: 230px;
  height: 42px;
  background-color: black;
  border-radius: 7px;
  font-size: 18px;
  color: white;
}

.apple-button-text {
  width: 100%;
  line-height: 42px;
  white-space: nowrap;
  display: flex;
  justify-content: center;
  align-items: center;
}

.apple-icon {
  padding-right: 8px;
  font-size: 24px;
}

.logingov-button {
  width: 230px;
  height: 42px;
  background-color: white;
  font-size: 14px;
  color: black;
  border: 1px solid #000;
}

.logingov-button-text {
  width: 100%;
  line-height: 42px;
  white-space: nowrap;
  display: flex;
  justify-content: center;
  align-items: center;
}

.logingov-logo {
  display: inline-block;
  height: 15px;
  padding-left: 10px;
}


.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgb(0,0,0);
  background-color: rgba(0,0,0,0.4);
  padding-top: 60px;
}

.modal-content {
  background-color: #fefefe;
  position: absolute;
  left: 10%;
  margin: 5% auto 15% auto;
  border: 1px solid #888;
  width: 80%;
}

.close {
  position: absolute;
  right: 25px;
  top: 0;
  color: #000;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: red;
  cursor: pointer;
}

.error-display {
  color: red;
  height: 16px;
}

.animate {
  -webkit-animation: animatezoom 0.6s;
  animation: animatezoom 0.6s
}
@-webkit-keyframes animatezoom {
  from {-webkit-transform: scale(0)}
  to {-webkit-transform: scale(1)}
}
@keyframes animatezoom {
  from {transform: scale(0)}
  to {transform: scale(1)}
}


@media screen and (max-width: 300px) {
  span.forgot-password {
     display: block;
     float: none;
  }
  span.create-account {
     display: block;
     float: none;
  }
}